﻿Imports Wiker.WIDatabase
Imports System.Text
Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim ColumnDataStr As String
        Dim StrB As StringBuilder
        Dim DBInfo As CDatabaseInfo

        ColumnDataStr = ""

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Select.Clear() ensures we starting with a new select statement. 

        WIDB.[Search].Clear()

        ' The Column Class is used to choose columns to be returned 

        WIDB.[Search].Column("City")
        WIDB.[Search].Column("State")
        WIDB.[Search].Column("ZipCode")
        WIDB.[Search].Column("Name")
        WIDB.[Search].Column("WebSite")

        ' Select.Table: The 'Main' table from which the data will originate 
        WIDB.[Search].Table("tblAddress")

        ' Select.Join: Used to 'connect' related tables. 
        WIDB.[Search].Join("tblCompany", "AddressID", eOperator.Equal, "tblAddress", "AddressID", eJoinType.Normal)

        ' Select.Execute() prepares the statement to be sent to the Database 
        WIDB.[Search].Execute()

        Console.WriteLine("| City | State | ZipCode | Name | WebSite |")

        ' Select.Read() reads the next row from the returned data 
        While WIDB.[Search].Read()
            StrB = New StringBuilder()

            ' Select.Get obtains the value of the named column via an out parameter 
            WIDB.[Search].Get("City", ColumnDataStr)
            StrB.AppendFormat("| {0} ", ColumnDataStr)

            WIDB.[Search].Get("State", ColumnDataStr)
            StrB.AppendFormat("| {0} ", ColumnDataStr)

            WIDB.[Search].Get("ZipCode", ColumnDataStr)
            StrB.AppendFormat("| {0} ", ColumnDataStr)

            WIDB.[Search].Get("Name", ColumnDataStr)
            StrB.AppendFormat("| {0} ", ColumnDataStr)

            WIDB.[Search].Get("WebSite", ColumnDataStr)
            StrB.AppendFormat("| {0} ", ColumnDataStr)

            Console.WriteLine(StrB.ToString())
        End While

        ' Good practice is to close the DB when finished 

        WIDB.Close()

    End Sub

End Module
