﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/12 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;

namespace Create
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/12 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/12 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);
                  
         /* Table.Clear() ensures we are not creating extraneous tables */
         WIDB.Table.Clear();

         /* Each call to Table.Column adds a column to the table. */
         WIDB.Table.Column("AddressID", eDataType.Int32);         /* has an index of 0 */
         WIDB.Table.Column("Address1", eDataType.Text, 255);   /* has an index of 1 */
         WIDB.Table.Column("Address2", eDataType.Text, 255);   /* has an index of 2 */
         WIDB.Table.Column("City", eDataType.Text, 255);       /* has an index of 3 */
         WIDB.Table.Column("State", eDataType.Text, 255);      /* has an index of 4 */
         WIDB.Table.Column("ZipCode", eDataType.Text, 12);     /* has an index of 5 */

         /* PrimaryColumn: list of columns, when used together make, that make the row unique. */
         WIDB.Table.PrimaryColumn("AddressID");

         /* AutoIncrementColumn: sets the column to increment its value automatically */
         WIDB.Table.AutoIncrementColumn("AddressID");         

         /* Table.Execute([tableName]) creates the table as defined by the previous calls */
         if (!WIDB.Table.Create("tblAddress"))
            Str = string.Format("Failed to create table tblAddress\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);
         else            
            Str = "Table tblAddress Created";

         Console.WriteLine(Str);
         
         /* Good practice to close the DB when finished */
         WIDB.Close();         
      }      
   }/* End Class */
}/* End NameSpace */
