﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/12 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;

namespace Exists
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/12 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/12 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);

         /* Table.Exists([tableName]) returns a bool based on the existance of the named table
            in relation to the connected DB*/

         if (WIDB.Table.Exists("tblAddress"))
            Str = string.Format("The table 'tblAddress' in database '{0}' exists.", DBInfo.DBName);            
         else
            Str = string.Format("The table 'tblAddress' in database '{0}' DOES NOT exist.", DBInfo.DBName);            

         Console.WriteLine(Str);  

         /* Good practice is to close the DB when finished */
         WIDB.Close();         
      }      
   }/* End Class */
}/* End NameSpace */
